clang 10.0.0git

Public Member Functions | List of all members
clang::OnlyLargestCloneConstraint Struct Reference

Ensures that no clone group fully contains another clone group. More...

`#include "clang/Analysis/CloneDetection.h"`

## Public Member Functions
void | constrain (std::vector< CloneDetector::CloneGroup > &Result)

## Detailed Description

Ensures that no clone group fully contains another clone group.

Definition at line 326 of file CloneDetection.h.

## Member Function Documentation

## ◆ constrain()

void OnlyLargestCloneConstraint::constrain | ( | std::vector< CloneDetector::CloneGroup > & | Result | ) |

Definition at line 125 of file CloneDetection.cpp.

References containsGroup().

The documentation for this struct was generated from the following files:

- include/clang/Analysis/CloneDetection.h
- lib/Analysis/CloneDetection.cpp